Bug 209977 - devel/qtcreator: Update to 4.0.0
Summary: devel/qtcreator: Update to 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-02 15:47 UTC by Marie Loise Nolden
Modified: 2016-06-05 02:47 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+


Attachments
Qt Creator 4.0 update against svn HEAD diff (13.74 KB, patch)
2016-06-02 15:47 UTC, Marie Loise Nolden
vlad-fbsd: maintainer-approval? (kde)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marie Loise Nolden 2016-06-02 15:47:48 UTC
Created attachment 170950 [details]
Qt Creator 4.0 update against svn HEAD diff

In conjunction with the QBS update to 1.5.0 the Qt Creator IDE is updated to version 4.0.0. The patch is from kde@FreeBSD.org's area51 repository and includes optional installation of the Qt 5 API documentation and the Qt 5 examples to be used with Qt Creator for Qt development. The port also contains the User Manual of Qt Creator after qt5-qdoc has been fixed to enable the build.

Port upgrade done by Ralf Nolden <nolden@kde.org>, options added by Tobias Berner <tcberner@gmail.com>
Comment 1 Kurt Jaeger freebsd_committer 2016-06-04 13:43:45 UTC
testbuilds@work
Comment 2 commit-hook freebsd_committer 2016-06-05 02:46:44 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 02:46:33 UTC 2016
New revision: 416384
URL: https://svnweb.freebsd.org/changeset/ports/416384

Log:
  devel/qtcreator: 3.6.1 -> 4.0.0

  In conjunction with the QBS update to 1.5.0 the Qt Creator IDE is
  updated to version 4.0.0. The patch is from kde@FreeBSD.org's area51
  repository and includes optional installation of the Qt 5 API
  documentation and the Qt 5 examples to be used with Qt Creator for
  Qt development. The port also contains the User Manual of Qt Creator
  after qt5-qdoc has been fixed to enable the build.

  PR:		209977
  Submitted by:	Ralf Nolden <nolden@kde.org> (kde), Tobias C.Berner <tcberner@gmail.com> (kde)

Changes:
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/distinfo
  head/devel/qtcreator/pkg-plist
Comment 3 Kurt Jaeger freebsd_committer 2016-06-05 02:46:54 UTC
testbuilds are fine, committed, thanks!